/******************************************************************************
版权所有：	
文件名称：	ustimer.h
文件版本：	01.01
创建作者:	sunxi
创建日期：	2008-06-26
功能说明：	微秒定时器接口函数
其它说明：
修改记录：
*/
#ifndef _USTIMER_H_
#define _USTIMER_H_

#define USTIMER_US		1
#define USTIMER_MS		(1000*USTIMER_US)
#define USTIMER_SEC		(1000*USTIMER_MS)

int ustimer_init(void);
int ustimer_exit(void);

uint32_t ustimer_get_origin(void);
#ifdef __LIGHT_DIFF_ACT_PRO__ // sunxi 20190904 光差保护
// 8纳秒定时器，每8纳秒一个单位
uint32_t timer80ns_get_origin(void);
uint32_t timer80ns_get_duration(uint32_t origin);
#endif // __LIGHT_DIFF_ACT_PRO__

uint32_t ustimer_get_duration(uint32_t origin);
int ustimer_delay_origin(uint32_t origin,uint32_t us);
int ustimer_delay_origin2(uint32_t *us0,uint32_t us);
int ustimer_delay(uint32_t us);


int ustimer_test(void);

#endif
